<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'user']">User</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Edit</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Update User </h5>
            </div>
            <div class="card-block">

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">

                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                        <input class="form-control" type="text" placeholder="Id" formControlName="id"  style="display: none"/>
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div>  
                <br>

                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Username</label>
                        <input class="form-control" type="text" placeholder="Username" formControlName="username"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('username').valid && myForm.get('username')">* Harus diisi, min 6 karakter</span>
                        <span class="md-line"></span>
                    </div> 

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Nama</label>
                        <input class="form-control" type="text" placeholder="Nama" formControlName="nama"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('nama').valid && myForm.get('nama')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 
                </div>
 
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">No Telp</label>
                        <input class="form-control" type="text" placeholder="No Telp" formControlName="no_telp"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('no_telp').valid && myForm.get('no_telp')">* Harus disii, diisi dengan angka</span>
                        <span class="md-line"></span>
                    </div> 
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Alamat</label>
                        <textarea class="form-control" rows="3" cols="3" placeholder="Alamat" style="height: 100px;" formControlName="alamat"></textarea>
                        <span class="messages text-danger" *ngIf="!myForm.get('alamat').valid && myForm.get('alamat')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 
                </div>

                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">OPD</label> 
                        <select class="form-control" placeholder="OPD" formControlName="dinas">
                            <option value="">-- Pilih OPD --</option>
                            <option *ngFor="let dinas of dataDinas" value={{dinas.id}}>
                                {{dinas.nama}}
                            </option>
                        </select>
                        <span class="messages text-danger" *ngIf="!myForm.get('dinas').valid && myForm.get('dinas')">* Pilih salah satu</span>
                        <span class="md-line"></span>
                    </div>

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Role</label>
                        <select class="form-control" placeholder="Role" formControlName="role">
                            <option value="">-- Pilih Role --</option>
                            <!-- <option *ngFor="let role of dataRole.roles" value={{role.id}} >
                                {{role.name}}
                            </option> -->
                            <ng-container *ngFor="let role of dataRole.roles">
                                <ng-container *ngIf="role.id > 3">
                                    <option value={{role.id}} >
                                        {{role.name}}
                                    </option>
                                </ng-container>
                            </ng-container>
                        </select>
                        <span class="messages text-danger" *ngIf="!myForm.get('role').valid && myForm.get('role')">* Pilih salah satu</span>
                        <span class="md-line"></span>
                    </div>
                </div>
 
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Password</label>
                        <show-hide-password size="" icon="fontawesome">
                          <input type="password" class="form-control" placeholder="Masukkan Password" style="height: 40px;" formControlName="password">
                        </show-hide-password>
                        <span class="messages text-danger" *ngIf="!myForm.get('password').valid && myForm.get('password')">* Harus diisi, min 6 karakter</span>
                        <span class="md-line"></span>
                    </div> 

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Konfirmasi Password</label>
                        <show-hide-password size="" icon="fontawesome">
                          <input type="password" class="form-control" placeholder="Masukkan Password" style="height: 40px;"  formControlName="password_repeat">
                        </show-hide-password>
                        <span class="messages text-danger" *ngIf="!myForm.get('password_repeat').valid && myForm.get('password_repeat')">* Harus diisi, min 6 karakter, password harus sama</span>
                        <span class="md-line"></span>
                    </div> 
                </div>
 

                <br/> 
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit" [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                    </div>
                </div>

                </form>
            </div>           
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
